using System;

class Program 
{
  public static void Main (string[] args) 
  {
    Console.WriteLine("Unesite spojlovan rezultat:");
    int x=Int32.Parse(Console.ReadLine());
    int y=Int32.Parse(Console.ReadLine());
    Console.WriteLine("Unesite rezultat na poluvremenu:");
    int a=Int32.Parse(Console.ReadLine());
    int b=Int32.Parse(Console.ReadLine());
    if (b == y && a < x)
      Console.WriteLine("Prvi");
    else
      if (a == x && b < y)
        Console.WriteLine("Drugi");
      else
        if (a == x && b == y)
          Console.WriteLine("Nijedan");
        else
          Console.WriteLine("?");
  }
}